org.apache.cassandra.io.util

## Class NativeAllocator

- java.lang.Object
- - org.apache.cassandra.io.util.NativeAllocator

- All Implemented Interfaces:
    IAllocator

      public class NativeAllocator
      extends java.lang.Object
      implements IAllocator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeAllocator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `allocate(long size)`
    `void` | `free(long peer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeAllocator

          public NativeAllocator()

  - ### Method Detail

    - #### allocate

          public long allocate(long size)

      Specified by:
        `allocate` in interface `IAllocator`

    - #### free

          public void free(long peer)

      Specified by:
        `free` in interface `IAllocator`

Copyright © 2014 The Apache Software Foundation